

#ed 03-IPET-RDall-GR.sh &

#./03-IPET-RDall-.sh
# mysel 9-73 (-48 48)

cp ../mask320hs150fq75p.dat mask_fq.dat
mkdir IPET-RDall-RD01
cp IPET-RDall-fixCenter/p003-3D-loop3.dat IPET-RDall-RD01/T02P03_IPET3D-loop3.dat

cd IPET-RDall-RD01
proc3d T02P03_IPET3D-loop3.dat T02P03_IPET3D-loop3-lp80.mrc apix=1.48 lp=80
proc3d T02P03_IPET3D-loop3.dat T02P03_IPET3D-loop3-lp20.mrc apix=1.48 lp=20


chimera T02P03_IPET3D-loop3-lp80.mrc T02P03_IPET3D-loop3-lp20.mrc
contour = 0.0148
sop invertShown #0
mask #0 #0 invert true

save as T02P03_IPET3D-loop3-lp80dust.mrc
# or cp  T02P03_IPET3D-loop3-lp80.mrc T02P03_IPET3D-loop3-lp80dust.mrc

SPRET-3D-mask_creat_v2.com T02P03_IPET3D-loop3-lp80dust 0.0148 6 2

proc3d T02P03_IPET3D-loop3.dat T02P03_IPET3D-loop3.mrc mrc
SPRET-3D_mu.com  T02P03_IPET3D-loop3 T02P03_IPET3D-loop3-lp80dustmask T02P03_IPET3D-loop3masked

SPRET-create_angle.com myang -48 48 1.5 0
SPRET-create_select.com mysel 1-65

SPRET-projection.com T02P03_IPET3D-loop3masked T02P03_IPET3D-loop3maskedpj myang mysel

proc2d T02P03_IPET3D-loop3maskedpj.dat T02P03_IPET3D-loop3maskedpjlp3.hed apix=1.48 lp=3

hed2spi T02P03_IPET3D-loop3maskedpjlp3 T02P03_IPET3D-loop3maskedpjlp3
spi2mrc T02P03_IPET3D-loop3maskedpjlp3 T02P03_IPET3D-loop3maskedpjlp3

#clip median -2d -n -5 T02P03_IPET3D-loop3maskedpjlp3.mrc T02P03_IPET3D-loop3maskedpjlp3MF5.mrc

v2 T02P03_IPET3D-loop3maskedpjlp3.mrc
read contour
B=-0.57333  C=0.153333


mrc2spi T02P03_IPET3D-loop3maskedpjlp3 T02P03_IPET3D-loop3maskedpjlp3


SPRET-spistack_renderEman_v01.com T02P03_IPET3D-loop3maskedpjlp3 T02P03_IPET3D-loop3maskedpjlp3Cont -0.57333 0.153333 0

ln -s T02P03_IPET3D-loop3maskedpjlp3Cont.dat T02P03_IPET3D-loop3maskedpjlp3MF5Cont.dat

SPRET-backprojection_forST3DR.com T02P03_IPET3D-loop3maskedpjlp3MF5Cont 224 myang mysel T02P03_RDallRD01-refi 0 1.48 ../mask_fq.dat



#################################MW-pn48#################

mkdir ../IPET-RDall-R01-MW-pn48
cp T02P03_RDallRD01-refi.dat ../IPET-RDall-R01-MW-pn48
cd ../IPET-RDall-R01-MW-pn48

proc3d T02P03_RDallRD01-refi.dat T02P03_RDallRD01-refi-lp15.mrc apix=1.48 lp=15

proc3d T02P03_RDallRD01-refi.dat T02P03_RDallRD01-refi-lp60.mrc apix=1.48 lp=60

chimera T02P03_RDallRD01-refi-lp60.mrc T02P03_RDallRD01-refi-lp15.mrc

contour = 0.0171


SPRET-3D-mask_creat_v2.com T02P03_RDallRD01-refi-lp60  0.0171 6 2

proc3d T02P03_RDallRD01-refi.dat T02P03_RDallRD01-refi.mrc mrc

runMissingWedge_v1p3.py T02P03_RDallRD01-refi T02P03_RDallRD01-refi-lp60mask -48 48 1000


mkdir ../IPET-RDall-R01-MW2-pn48
cp T02P03_RDallRD01-refi-MWcor.mrc ../IPET-RDall-R01-MW2-pn48
cd ../IPET-RDall-R01-MW2-pn48

proc3d T02P03_RDallRD01-refi-MWcor.mrc T02P03_RDallRD01-refi-MWcor-lp60.mrc apix=1.48 lp=60
proc3d T02P03_RDallRD01-refi-MWcor.mrc T02P03_RDallRD01-refi-MWcor-lp20.mrc apix=1.48 lp=20

chimera T02P03_RDallRD01-refi-MWcor-lp60.mrc T02P03_RDallRD01-refi-MWcor-lp20.mrc
contour=0.0248


SPRET-3D-mask_creat_v2.com T02P03_RDallRD01-refi-MWcor-lp60  0.0248 6 2

runMissingWedge_v1p3.py T02P03_RDallRD01-refi-MWcor T02P03_RDallRD01-refi-MWcor-lp60mask -48 48 1000



